using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GWSocketClient
{
    public partial class MyMessageBox : Form
    {
        private string msg;

        public static void ShowMessageBox(string msg = "")
        {
            new MyMessageBox(msg).ShowDialog();
        }


        public MyMessageBox(string msg)
        {
            InitializeComponent();
            this.msg = msg;
        }

        private void MyMessageBox_FormClosing(object sender, FormClosingEventArgs e)
        {
        }

        private void buttonClipboard_Click(object sender, EventArgs e)
        {
            Clipboard.SetText(
                "http://download.microsoft.com/download/7/0/3/703ffbcb-dc0c-4e19-b0da-1463960fdcdb/AccessDatabaseEngine.exe \n" +
                msg);
            this.Close();
        }


        private void buttonOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttonCancle_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void MyMessageBox_Load(object sender, EventArgs e)
        {
        }
    }
}